# Assassin
## Adds the Assassin from Realm of the Mad God as a playable character!

![Alt Text](https://cdn.discordapp.com/attachments/567832879879553037/1134779463020851231/image.png "Assassin Loadout Display")

Any feedback can be submitted to the discord; https://discord.gg/xpP6AgxWYG

![Alt Text](https://cdn.discordapp.com/attachments/1096872606675783883/1096877871932379347/asssassinBlur.png "Assassin Character Icon")

### Passive : Mad God's Rage
![Alt Text](https://cdn.discordapp.com/attachments/567832879879553037/1096867130395336704/MadGodsRage_Icon.png "Passive Icon")

Getting hit below will fill you with the rage of Oryx the Mad God.

### Primary : Dagger
![Alt Text](https://cdn.discordapp.com/attachments/805290190280065067/1096243887607128156/Daggers_Skill_Render.png "Primary Icon")

Your primary skill as Assassin is throwing daggers, specially made to pierce any type of armor.

### Secondary : Poison
![Alt Text](https://cdn.discordapp.com/attachments/805290190280065067/1096279359972704376/Poison_Skill_Rende2r.png "Secondary Icon")

Your secondary skill as Assassin is throwing a specially brewed poisonous potion. This deals some damage on impact and a lot of damage over time.

### Alternative Secondary : Virulent Venom
![Alt Text](https://cdn.discordapp.com/attachments/567832879879553037/1132055832897519627/Poison_Alt_Skill_Rende2r.png "Alt Secondary Icon")

Your alternative secondary skill as Assassin is throwing a poison that has been rebrewed to deal all of its damage at once, instead of poisoning.

### Utility : Teleport
![Alt Text](https://cdn.discordapp.com/attachments/567832879879553037/1096867130626019448/Teleport_Skill_Icon.png "Utility Icon")

Your utility skill as Assassin is throwing down a smoke bomb, then throwing out a teleportation potion, which through some special molecular brewing, teleports you to where it lands.

### Alternative Utility : Cloaking Roll
![Alt Text](https://cdn.discordapp.com/attachments/1096283275540037633/1096905811160215572/Cloaking_Roll_Skill_Icon.png "Alt Utility Icon")

Your alternate utility skill as Assassin is wrapping yourself in your invisibility cloak before rolling away to safety.

### Special : War Cry
![Alt Text](https://cdn.discordapp.com/attachments/567832879879553037/1096866307426766858/Warcry_Skill_Icon.png "Special Icon")

Your special skill as Assassin is the War Cry, yelling and pumping yourself up for combat, buffing all of your abilities for 5 seconds.

### Alternative Special : Spinal Tap
![Alt Text](https://cdn.discordapp.com/attachments/567832879879553037/1131876841699934298/Spinal_Tap_Skill_Icon.png "Alt Special Icon")

Your alternative special skill as Assassin Spinal Tap, a simple stab, but when stabbing the back of your enemies it is an instant kill. Umbral Assassin is not able to have this skill equipped.

![Alt Text](https://cdn.discordapp.com/attachments/936859562655481866/1100577353014460446/Assassin_Mastery_Concepts.png "Mastery Concept Art")

Mastery Skin and Grand Mastery skin concepts done by Ikachap!

---
# Future Plans
 * Add Ancient Scepter support for other skills besides just poison.

---
# Credit & Thanks
Thanks to DotFlare for modeling, animating and texturing the assassin! (and weapons)
 - His discord tag : dotflare
 - His twitter : https://twitter.com/dotflare3

Thanks to goodguy for making the skill icons for the passive, both utlities and special.
  - Their discord : youredoinggoodlad

Thanks to Ikachap for drawing the concept art for the Mastery and Grand Mastery skins!
  - Their tumblr : https://ikachap.tumblr.com/

Thanks to the RoR2 Modding Server for helping me with all my dumb questions!

## Known Issues
---
 * Virulent Venom currently does not have a function Ancient Scepter alternative. It is programmed and the skill functions, but the Ancient Scepter mod does not allow multiple skill entries for modded survivors? At least not that I could find, so it is left without a skill.


## Changelog
---
``1.3.1``

  Bug Fixes
    - Fixed back stab not properly scaling with adaptive armor.

  Balance Changes
    - Reduced the amount of damage Virulent Venom does.

``1.3.0``

  Additions
  * Added a logbook entry for Assassin.
  * Reformated the way skills show up on the loadout screen, with the War Cry descriptions being a token, similar to Agile.

  Bug Fixes
   * Fix Spinal Tap not playing the proper animation
   * Fixed a bug fix where Virulent Venom would not spawn the lingering AOE.
   * Fixed the left and right walking & sprinting animations being backwards.
   * Updated the language tokens to properly reflect the balance changes below.
   * Fixed the daggers sticking backwards.
   * Fixed daggers colliding with other daggers & not dealing damage to enemies.
   * Fixed the idle rest animation not properly playing.
   * Fixed cape physics, to be more cloth like.

  Balance Changes
  ```diff
  Passive - Mad God's Rage
  - Reduced the health threshold to trigger it to 60%.

  + All projectiles now spawn from the center of the screen, instead of Assassin's hands.
  Primary - Daggers
  + Primary fire now shoots 2 daggers.
  + Primary fire shoot speed increased to 0.3 from 0.4.
  + Daggers are now thrown instantly instead of with a small delay.
  - Damage decreased by 25%. 1.25 -> 1

  Secondary - Poison
  + Poison is now thrown out instantly instead of with a small delay.
  - All recursive poisons children now deal 30% of the parent poison.

  Alternative Secondary - Virulent Venom
  + Poison is now thrown out instantly instead of with a small delay.
  - Reduced amount of potions spawned while under the effect of War Cry by 1. 3 -> 2

  Utility - Teleport
  * Swapped the smoke bomb and teleport throw animations, meaning the teleport potion is thrown first, allowing easier aiming.
  + War Cry functionality actually works now.
  + Teleport potion is thrown out instantly now, instead of with a small delay.

  Special - War Cry
  + Decreased cooldown by 5 seconds.

  Alternate Special - Spinal Tap
  + Increased Spinal Tap hitbox.
  + Increased non-backstab damage by 1,500%. 1 -> 15
  + On a succesful backstab, you gain a short speed boost.
  + Reduced cooldown to 15 seconds, however if you enable always instakill in config, it will be 30 seconds.
  - Spinal Tap no longer instantly kills bosses. Instead deals 20% damage to the boss, with a 2% chance to instantly kill. This chance is effected by clover. This change is also configurable.
  ```

``1.2.1``

  Additions
   * Added new Special : Spinal Tap
   * Added new Secondary : Virulent Venom
   * Removed "The" prefix from survivors name.

  Bug Fixes
  * Poison is now capable of proccing, at a rate of 0.5% per damage tick.
  * Poison DOT is now properly scaling with your damage stat.
  * Fixed some skills not setting values correctly.
  * Supposedly fixed the bug where poison would not apply under some circumstances. I have never been able to replicate this, even after looking at logs, so I can not confirm it has actually been fixed.
  * Fixed the stun potion from Teleport not stunning properly
  * Fixed occasional memory leak issues.

``1.2.0``

 Additions
 * Added item displays.
 * Added Mastery Skin - Exalted.
 * Added Grand Master Skin - Divine.
 * Added new VFX for the Mastery and Grand Mastery skins.
 * Added color for the Assassin in the character select screen.
 * Added Ancient Scepter support, it replaces your poison.
 * Added a seperation between Additions, Bug Fixes, and Balance Changes in changelog. Will apply to any updates after 1.2.0.
 
 Bug Fixes
 * Ragdoll now obeys the laws of physics.
 * Not really a bug fix but changed the color of text in the loadout display to properly reflect stats and stuff.

 Balance Changes
  * Changed Dagger attack speed from 0.25->0.4. Throwing 4 daggers per second would allow you to easily take care of early game enemies, which made Assassin feel very powerful. It's not 0.5 or 0.35 because 0.5 felt too slow, and 0.35 was still good enough to easily take care of enemies. This should help encourage using the poison more as well.
  * Made poison's DoT *roughly* follow the 1% damage per tick rule. It sometimes becomes EVIL and does 10%??? I don't know what makes it do this it just kind of happens randomly, so it's just this and hopefully I can figure it out in a later update.

``1.1.3``
 * Fixed a bug where backup magazines would not work, and would consume the whole stack to throw only one poison.
 * Updated SFX to be less annoying.
 * Added ragdoll
 * Fixed War Cry timing

``1.1.2``
 * Fixed a bug where having too high of an attack speed would prevent War Cry from applying the buff.
 * Fixed a bug where debug messages would appear when taunting with EmoteAPI.
 * Fixed a bug where cloaking roll woudn't properly apply cloak.

``1.1.0``
 * Added proper credit for artist and animators.
 * Added some sounds.
 * Updated character select icon to look more vanilla-like.
 * Finally fixed the vfx, they are now properly transparent and trail correctly. 
 * Added a thing so when taunting via EmoteAPI, it hides the knives.

``1.0.4``
 * Added support for EmoteAPI
 * Added proper animations, such as character select screen, etc.
 * Added alternate utility, Cloaking Roll
 * Fixed vfx not appearing. 
 * Once again attempted to fix poison DoT, again did not work.
 * Added proper skill icons for dagger and poison.
 * Fixed conflicting name bug.
 * Nerf War Cry duration, from 10 seconds to 20. It was a bit too spammable with ~50% uptime if you had perfect timing.
 * Updated icon

``1.0.3``
 * Added new placeholder icons for special, and passive.
 * Added default skin icon.
 * Increased poison cooldown from 2 -> 4.
 * Added vfx to help aid in seeing the projectiles when they're throwing.
 * Attempted to fix poison DoT not working properly, probably failed again. I haven't done a full run so I do not know if the scaling with increased damage properly works.
 * Added passive, Mad God's Rage.

``1.0.2``
 * Fixed image displays on README.md.
 * Changed poison projectile size.
 * Fixed a bug with Dagger, where crits would inflict hemmorage.
 * Updated Dagger VFX.
 * Removed double jump, as it felt very OP.
 * Added a proper selection icon, though it is temporary until a proper render can be made
 * Made projectiles spawn from the hands
 * Added proper animations
 * Removed poison flurry, replacing it with "War Cry". Poison flurry felt like a lame thing in general, and with animations it just looks goofy.

``1.0.1``
 * Added README.md

``1.0.0``
 * Uploaded to Thunderstore